<script src="/assets/tinymce/tinymce.min.js"></script>
<script src="/assets/tinymce-i18n/langs5/fr_FR.js"></script>
<script type="text/javascript">

	var csrfName = '{{ csrf.name }}';
	var csrfValue = '{{ csrf.value }}';

	function ajaxRequestCommunications(params) {
        var url = '/action/ajax/list/communications{{ filter_organisation }}';
		$.ajax({
			url: url,
			method: 'post',
			data: {
				'csrf_name': csrfName,
				'csrf_value': csrfValue,
				'organization': '{{ organization.domain }}',
				'account': '{{ account }}',
                'filter_organisation' : '{{ filter_organisation }}'
			},
			success: function (data) {
				$('#totalCommunications').empty().html(data.total);
				params.success({
					'rows': data.rows,
					'total': data.total
				})
			},
			error: function (er) {
				params.error(er);
			}
		});
	}

	function ajaxRequestMobileSubscriptions(params) {
		$.ajax({
			url: '/action/ajax/list/communications/sms',
			method: 'post',
			data: {
				'csrf_name': csrfName,
				'csrf_value': csrfValue,
				'organization': '{{ organization.domain }}',
				'account': '{{ account }}'
			},
			success: function (data) {
				$('#totalsms').empty().html(data.total);
				params.success({
					'rows': data.rows,
					'total': data.total
				})
			},
			error: function (er) {
				params.error(er);
			}
		});
	}

    function loadingTemplateMobileSubscriptions(message) {
        return '<div class="text-center">Chargement des abonnements mobiles en cours...<br /><div class="spinner-border mt-2" role="status"></div></div>'
    }

	function ajaxRequestEmailSubscriptions(params) {
		$.ajax({
			url: '/action/ajax/list/communications/email',
			method: 'post',
			data: {
				'csrf_name': csrfName,
				'csrf_value': csrfValue,
				'organization': '{{ organization.domain }}',
				'account': '{{ account }}'
			},
			success: function (data) {
				$('#totalemail').empty().html(data.total);
				params.success({
					'rows': data.rows,
					'total': data.total
				})
			},
			error: function (er) {
				params.error(er);
			}
		});
	}

    function loadingTemplateEmailSubscriptions(message) {
        return '<div class="text-center">Chargement des abonnements emails en cours...<br /><div class="spinner-border mt-2" role="status"></div></div>'
    }

	function loadingTemplateCommunications(message) {
		return '<div class="text-center">Chargement des canaux de communication en cours...<br /><div class="spinner-border mt-2" role="status"></div></div>'
	}

    function actionPhoneFormatterCommunicationList(value, row, index) {
         var operate = [];
        operate.push('<div class="gn-actions">');
        operate.push('<button class="fr-btn fr-btn--sm fr-btn--tertiary-no-outline fr-fi-delete-line delete-phone" title="Supprimer">Supprimer</button>');
        operate.push('</div>')

        return operate.join('');
    }

    function actionEmailFormatterCommunicationList(value, row, index) {
        var operate = [];
        operate.push('<div class="gn-actions">');
        operate.push('<button class="fr-btn fr-btn--sm fr-btn--tertiary-no-outline fr-fi-delete-line delete-email" title="Supprimer">Supprimer</button>');
        operate.push('</div>')

        return operate.join('');
    }


	function actionFormatterCommunicationList(value, row, index) {
		var operate = [];
        operate.push('<div class="gn-actions">');
        operate.push('<button class="fr-btn fr-btn--sm fr-btn--tertiary-no-outline fr-fi-eye-line view-communication" title="Visualiser">Visualiser</button>');
        operate.push('<button class="fr-btn fr-btn--sm fr-btn--tertiary-no-outline fr-fi-edit-line edit-communication" title="&Eacute;diter">&Eacute;diter</button>');
        operate.push('<button class="fr-btn fr-btn--sm fr-btn--tertiary-no-outline fr-fi-delete-line delete-communication" title="Supprimer">Supprimer</button>');
        operate.push('<button class="fr-btn fr-btn--sm fr-btn--tertiary-no-outline fr-icon-printer-line print-communication" title="Imprimer">Imprimer</button>');
        operate.push('</div>')

        return operate.join('');
	}

    window.operateEvents = {
        'click button.view-communication': function (e, value, row, index) {
            loadViewDistributionListModal(row.id);
        },
        'click button.edit-communication': function (e, value, row, index) {
            loadEditDistributionListModal(row.id);
        },
        'click button.print-communication': function (e, value, row, index) {
            e.preventDefault(); window.open('/imprimer/' + row.id, '_blank');
        },

        'click button.delete-communication': function (e, value, row, index) {
            GN.openModal('deleteDistributionListModal');
            $('#deleteDistributionListModal #distributionList-id').val(row.id);
            $('#deleteDistributionListModal span.distributionList-name').html(row.title);
        },
        'click .delete-phone': function (e, value, row, index) {
            GN.openModal('deletePhoneModal');
            $('#deletePhoneModal span.communication-title').html(row.title);
            $('#deletePhoneModal input[name="communication-id"]').val(row.communication_id);
            $('#deletePhoneModal #mobile-id').val(row.id);
            $('#deletePhoneModal .mobile-value').html(row.sms);
        },
        'click .delete-email': function (e, value, row, index) {
            GN.openModal('deleteEmailModal');
            $('#deleteEmailModal span.communication-title').html(row.title);
            $('#deleteEmailModal input[name="communication-id"]').val(row.communication_id);
            $('#deleteEmailModal #email-id').val(row.id);
            $('#deleteEmailModal .email-value').html(row.email);
        }
    }

    /*
    tinymce.init({
        selector: 'textarea#description-edit',
        height: 400,
        menubar: false,
        branding: false,
        language: 'fr_FR',
        plugins: 'preview searchreplace autolink directionality code visualblocks visualchars fullscreen table nonbreaking insertdatetime advlist lists wordcount charmap',
        toolbar: 'undo redo | bold italic underline strikethrough formatselect | alignleft aligncenter alignright alignjustify | outdent indent |  numlist bullist | forecolor backcolor removeformat | fullscreen preview save | ltr rtl',
        importcss_append: true,
        quickbars_selection_toolbar: 'bold italic | h2 h3 blockquote quicktable'
    });
    tinymce.init({
        selector: 'textarea#description',
        height: 400,
        menubar: false,
        branding: false,
        language: 'fr_FR',
        plugins: 'preview searchreplace autolink directionality code visualblocks visualchars fullscreen table nonbreaking insertdatetime advlist lists wordcount charmap',
        toolbar: 'undo redo | bold italic underline strikethrough formatselect | alignleft aligncenter alignright alignjustify | outdent indent |  numlist bullist | forecolor backcolor removeformat | fullscreen preview save | ltr rtl',
        importcss_append: true,
        quickbars_selection_toolbar: 'bold italic | h2 h3 blockquote quicktable'
    });
    */
</script>
